# Get information about a specific offer

| HTTP method | Endpoint                   |
| ----------- | -------------------------- |
| **GET**     | **/v1/offers/{offer\_id}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field                    | Type               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                |                                                                       |
| ------------------------ | ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------- |
| id                       | integer            | A string that uniquely identifies this offer.                                                                                                                                                                                                                                                                                                                                                                                                              |                                                                       |
| name                     | string             | The name of the this Offer                                                                                                                                                                                                                                                                                                                                                                                                                                 |                                                                       |
| advertiser\_id           | integer            | The ID of the Advertiser this Offer is for, if applicable                                                                                                                                                                                                                                                                                                                                                                                                  |                                                                       |
| start\_date              | integer            | The activation date of the Offer.                                                                                                                                                                                                                                                                                                                                                                                                                          |                                                                       |
| end\_date                | integer            | The expiration date of the Offer.                                                                                                                                                                                                                                                                                                                                                                                                                          |                                                                       |
| status                   | string             | The current status of the offer.                                                                                                                                                                                                                                                                                                                                                                                                                           |                                                                       |
| offer\_approval          | integer            | Whether this Offer requires manual approval before an Affiliate can run it.  Possible Values:  1 Require Approval   2 Public   3 Private                                                                                                                                                                                                                                                                                                                   |                                                                       |
| ***pricing\_type***      | string             | Parameter deprecation. Pricing\_type has been replaced by revenue\_type and payout\_type. Please review the new parameter method accordingly.                                                                                                                                                                                                                                                                                                              |                                                                       |
| revenue\_type            | string             | Specifies the method of calculating revenues for this Offer.  Allowed values:  RPC · RPI · RPM · RPA · RPL · RPS · RPA+RPS Values of "RPC", "RPI", "RPM", "RPL" and "RPA" indicate a flat revenue amount, which is specified in the revenue field. Value of "RPS " indicates revenue is a percentage of sale, which is specified in the percent\_revenue field. Value of "RPA+RPS " indicates both a flat revenue amount and a percentage of sale revenue. |                                                                       |
| revenue                  | string             | The flat rate/amount revenue. This is applicable depending on the "revenue\_type " of the Offer.   Applicable only if revenue\_type is “RPC”, "RPI", "RPM", “RPA”, "RPL" or “RPA+RPS”.                                                                                                                                                                                                                                                                     |                                                                       |
| percent\_revenue         | string             | Percentage of sale revenue for offer. Applicable only if revenue\_type is “RPS” or “RPA+RPS”.                                                                                                                                                                                                                                                                                                                                                              |                                                                       |
| payout\_type             | string             | Offer's payout type. Allowed values:  CPC · CPI · CPM · CPA · CPL · CPS · CPA+CPS Values of "CPC", "CPM", "CPI", "CPL" and "CPA" indicate a flat payout amount, which is specified in the payout field.  Value of "CPS " indicates payout is a percentage of sale, which is specified in the percent\_payout field. Value of "CPA+CPS " indicates both a flat payout amount and a percentage of sale payout.                                               |                                                                       |
| payout                   | string             | The flat rate/amount paid for this Offer. Applicable for Offers whose "payout\_type" includes a flat rate component.  Applicable only if payout\_type is “CPC”, "CPM", "CPI", “CPA”, "CPL" or “CPA+CPS”.                                                                                                                                                                                                                                                   |                                                                       |
| percent\_payout          | string             | Percentage of sale payout for offer. Applicable only if payout\_type is “CPS” or “CPA+CPS”.                                                                                                                                                                                                                                                                                                                                                                |                                                                       |
| preview\_url             | string             | URL that often skips any geo-targeting or other re-targeting implemented by the Offer URL. Allows Affiliates to view sample landing page.                                                                                                                                                                                                                                                                                                                  |                                                                       |
| destination\_url         | string             | The default Offer URL where traffic will be redirected to. Several optional variables/macros can be included in an Offer URL.                                                                                                                                                                                                                                                                                                                              |                                                                       |
| description              | string             | A description for the Offer.                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                       |
| redirect\_offer\_id      | integer            | The ID of another Offer to redirect traffic to if the offer has exceeded its conversion cap or the Offer is paused.                                                                                                                                                                                                                                                                                                                                        |                                                                       |
| currency                 | string             | The currency of the Offer.                                                                                                                                                                                                                                                                                                                                                                                                                                 |                                                                       |
| conversion\_protocol     | integer            | The Conversion tracking method to use for the Offer.   Possible Values:     1 Image Pixel;     2 Postback URL;     3 iFrame Pixel                                                                                                                                                                                                                                                                                                                          |                                                                       |
| is\_ssl                  | integer            | Enforce SSL by generating all affiliate tracking links and impression pixels with https instead of http.   Allowed values:   0  Close;  1 Open                                                                                                                                                                                                                                                                                                             |                                                                       |
| approve\_conversions     | integer            | Whether Conversions for this Offer must be manually approved. If enabled, Conversions will receive a "status" of "pending" when generated.  Allowed values:   0  Close;  1 Open                                                                                                                                                                                                                                                                            |                                                                       |
| unique\_click\_ip\_count | integer            | Unique IP Tracking. When you set more than 0, the system will filter the part of clicks out of the allowed repetition of independent IPs.                                                                                                                                                                                                                                                                                                                  |                                                                       |
| tracking\_domain         | string             | multipul custom domain                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                       |
| lead\_traffic            | integer            | 1=Enabled , 2=Disabled                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                       |
| advertiser\_offer\_id    | string             | advertiser offer id                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                       |
| app\_id                  | string             | the App ID on app store or google play                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                       |
| carrier\_mode            | integer            | carrier\_mode indicates the Mobile Carrier type.1 indicates include. 2 indicates exclude.                                                                                                                                                                                                                                                                                                                                                                  |                                                                       |
| hide\_referral           | integer            | 1=Enabled , 2=Disabled                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                       |
|                          | impression\_status | string                                                                                                                                                                                                                                                                                                                                                                                                                                                     | 1=Enabled , 2=Disabled                                                |
|                          | impression\_url    | string                                                                                                                                                                                                                                                                                                                                                                                                                                                     | The Impression Offer URL where Impression Pixel will be redirected to |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/102>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer": {
          "id": 102,
          "name": "test",
          "advertiser_id": 5401,
          "start_date": 1480174200,
          "end_date": 1528385399,
          "status": "active",
          "offer_approval": 1,
          "pricing_type": "Parameter deprecation. Pricing_type has been replaced by revenue_type and payout_type. Please review the new parameter method accordingly.",
          "revenue_type": "RPA",
          "revenue": "21",
          "percent_revenue": "-1",
          "payout_type": "CPC",
          "payout": "21",
          "percent_payout": "-1",
          "preview_url": "http://www.offerslook.com",
          "destination_url": "http://www.offerslook.com",
          "description": "<p>This is our company's website address: http://www.offerslook.com.Welcome to visit!</p>",
          "push_allowed": null,
          "incent_allowed": null,
          "adult_allowed": null,
          "redirect_offer_id": 3,
          "global_redirect_enabled": null,
          "currency": "USD",
          "conversion_protocol": 1,
          "is_ssl": 1,
          "approve_conversions": 0,
          "unique_click_ip_count": 0,
          "lead_traffic": 0,
          "hide_referral": 1,
          "advertiser_offer_id": "555",
          "app_id": "346328468",
          "impression_status": 0,
          "impression_url": "http://www.offerslook.com"

        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/get_information_about_a_specific_offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
